Subject: [Gen-art] Gen-ART review of draft-ietf-ospf-rfc4970bis-04

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 8 Oct 2015 16:15:51 +0000

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at

http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq

Document: draft-ietf-ospf-rfc4970bis-04

Reviewer: Dan Romascanu

Review Date: 10/8/15

IETF LC End Date: 10/8/15

IESG Telechat date: 10/15/15

Summary:

The document is ready with one issue for clarification and minor editorial observations.

Major issues:

None

Minor issues:

There seems to be an inconsistency between the way padding of the value fields in the value TLVs is defined in section 2.1, and in 2.3 and 2.5 respectively.

In 2.1 we have: 'The padding is composed of zeros'

In 2.2 we have: 'The format of the TLVs within the body of an RI LSA is defined as in Section 2.1' This would include the V (value) field, thus the padding.

However, in 2.3 and 2.5 the definitions of the value fields stipulate they are 'padded with undefined bits'

Why this inconsistency?

Nits/editorial comments:

1.       If the TLV definitions within the body of the RI LSA are identical, it would have been better to separate this in a distinct sub-section.

2.       Please include a reference to the Vendor Enterprise Code in section 5.2

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 9 Oct 2015 01:01:38 +0000

Hi Dan,

Thanks for the review - please see inline.

From: "Romascanu, Dan (Dan)" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, October 8, 2015 at 12:15 PM
To: General Area Review Team <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Gen-ART review of draft-ietf-ospf-rfc4970bis-04
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: <[email-masked]<mailto:[email-masked]>>
Resent-Date: Thursday, October 8, 2015 at 12:16 PM

Reviewer: Dan Romascanu

Review Date: 10/8/15

Summary:

Major issues:

None

Minor issues:

In 2.1 we have: ‘The padding is composed of zeros’

In 2.2 we have: ‘The format of the TLVs within the body of an RI LSA is defined as in Section 2.1’ This would include the V (value) field, thus the padding.

However, in 2.3 and 2.5 the definitions of the value fields stipulate they are ‘padded with undefined bits’

Why this inconsistency?

This a good catch. I recently added the 'The padding is composed of zeros.' based on a comment. I should have made it ‘padded with undefined bits’ consistent was other text in RFC 4970. I’ll fix this.

Nits/editorial comments:

Ok. I can do this.

I will shorten this to “Enterprise Code” with a reference to RFC 5612. T

These changes are all in the -06 version.

Thanks,
Acee

---

From: Jari Arkko <[email-masked]>
Date: Thu, 15 Oct 2015 09:39:01 +0300

Thanks for the review and the catch, Dan. Thanks for the update, Acee. I’m balloting no-obj for today.

Jari

On 09 Oct 2015, at 04:01, Acee Lindem (acee) <[email-masked]> wrote:

> From: "Romascanu, Dan (Dan)" <[email-masked]>
> To: General Area Review Team <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Resent-From: <[email-masked]>
> Resent-To: <[email-masked]>
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art